Package com.google.protobuf

# Interface DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault`, `DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`

Enclosing class:
  `DescriptorProtos.FeatureSetDefaults`

public static interface DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.Edition`
`getEdition()`
`optional .google.protobuf.Edition edition = 3 [json_name = "edition"];`
`DescriptorProtos.FeatureSet`
`getFixedFeatures()`
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`
`DescriptorProtos.FeatureSetOrBuilder`
`getFixedFeaturesOrBuilder()`
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`
`DescriptorProtos.FeatureSet`
`getOverridableFeatures()`
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`
`DescriptorProtos.FeatureSetOrBuilder`
`getOverridableFeaturesOrBuilder()`
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`
`boolean`
`hasEdition()`
`optional .google.protobuf.Edition edition = 3 [json_name = "edition"];`
`boolean`
`hasFixedFeatures()`
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`
`boolean`
`hasOverridableFeatures()`
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasEdition

boolean hasEdition()
`optional .google.protobuf.Edition edition = 3 [json_name = "edition"];`

Returns:
  Whether the edition field is set.

### getEdition

DescriptorProtos.Edition getEdition()
`optional .google.protobuf.Edition edition = 3 [json_name = "edition"];`

Returns:
  The edition.

### hasOverridableFeatures

boolean hasOverridableFeatures()
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`

Returns:
  Whether the overridableFeatures field is set.

### getOverridableFeatures

DescriptorProtos.FeatureSet getOverridableFeatures()
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`

Returns:
  The overridableFeatures.

### getOverridableFeaturesOrBuilder

DescriptorProtos.FeatureSetOrBuilder getOverridableFeaturesOrBuilder()
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`

### hasFixedFeatures

boolean hasFixedFeatures()
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`

Returns:
  Whether the fixedFeatures field is set.

### getFixedFeatures

DescriptorProtos.FeatureSet getFixedFeatures()
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`

Returns:
  The fixedFeatures.

### getFixedFeaturesOrBuilder

DescriptorProtos.FeatureSetOrBuilder getFixedFeaturesOrBuilder()
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`